import request from '@/utils/request'

// 查询充值列表
export function listCompanyRecharge(query) {
  return request({
    url: '/company/companyRecharge/list',
    method: 'get',
    params: query
  })
}

// 查询充值详细
export function getCompanyRecharge(rechargeId) {
  return request({
    url: '/company/companyRecharge/' + rechargeId,
    method: 'get'
  })
}

// 新增充值
export function addCompanyRecharge(data) {
  return request({
    url: '/company/companyRecharge',
    method: 'post',
    data: data
  })
}

// 修改充值
export function updateCompanyRecharge(data) {
  return request({
    url: '/company/companyRecharge',
    method: 'put',
    data: data
  })
}

// 删除充值
export function delCompanyRecharge(rechargeId) {
  return request({
    url: '/company/companyRecharge/' + rechargeId,
    method: 'delete'
  })
}

// 导出充值
export function exportCompanyRecharge(query) {
  return request({
    url: '/company/companyRecharge/export',
    method: 'get',
    params: query
  })
}